Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class Base64Signature

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.Base64Signature

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:08:01+01:00",
               comments="JAXB RI v2.2.11")
    public class Base64Signature

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Base64Signature()`

Method Summary
`String` | `getType()` Gets the value of the type property.
`byte[]` | `getValue()` Gets the value of the value property.
`void` | `setType(String value)` Sets the value of the type property.
`void` | `setValue(byte[] value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Signature

    public Base64Signature()

Method Detail

### getValue

    public byte[] getValue()

  Gets the value of the value property.

  Returns:
    possible object is byte[]

### setValue

    public void setValue(byte[] value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is byte[]

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.